Subject: Re: [bug#40445] gnu: gsm: Update to 1.0.19.

From: [email-masked]
Date: Sun, 05 Apr 2020 13:38:40 -0400

Hello,

"Raghav Gururajan" <[email-masked]> writes:

> Hi Mathieu!
>
>>> + #:make-flags
>>> + (list
>>> + ;; Added -fPIC with other default options.
>>> + "CCFLAGS=-fPIC -c -O2 -DNeedFunctionPrototypes=1 -Wall -Wno-comment")
>> 
>> I wonder if we need all those options, the package seems to build fine
>> without them. Could you have a look?
>
> Yes, Maxim and I, updated these options, to use libgsm in mediastreamer, as a part of linphone packaging. :-)
>
> Btw, currently the gsm package is in unusable state, after the commit "74c7f367daa554cedeb5f02a00d1cd02acf1584b".
>
> Regards,
> RG.

Ooops.  Sorry about that.  I meant:

-       #:make-flags '("INSTALL_ROOT=%output"
-                      "CCFLAGS=-fPIC \
+       #:make-flags (list (string-append "INSTALL_ROOT=" %output)
+                          "CCFLAGS=-fPIC \

But I'll take into accounts comments from Mathieu, which make sense.

Maxim